NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_adp_return(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_adp_return - Stop processing of the current ADP and return up the call stack

## Table Of Contents

## Synopsis

- ns_adp_return ?retval?

## Description

This command ends processing of the current ADP and returns up the call stack, possibly to a previous ADP that had included the current one. Returns retval or an empty string by default. Note that this command returns only one level up the call stack. To return all the way up the call stack, use ns_adp_break.

## COMMANDS

ns_adp_return ?retval?

## See Also

ns_adp, ns_adp_abort, ns_adp_break, ns_adp_close, ns_adp_ctl, ns_adp_dump, ns_adp_flush, ns_adp_return, ns_adp_stream

## Keywords

ADP